import {Component, OnInit, ViewChild} from '@angular/core';
import {FramePageComponent} from "../../../frame/core/page/frame.page";
import {BsModalService} from "ngx-bootstrap/modal";
import { AjaxService } from '../../../../core/service/ajax.service';
import { MsgService } from '../../../../core/service/msg.service';
import { FramePager } from '../../../../core/frame/pager/frame-pager/frame-pager';
import { SetOptrComponent } from '../set-optr/set-optr.component';

@Component({
  selector: 'app-cf-initial-optr-page',
  templateUrl: './initial-optr-page.component.html',
  styleUrls: ['./initial-optr-page.component.scss']
})
export class CfInitialOptrPageComponent extends FramePageComponent implements OnInit {
  schoolArray = [];
  batchArray = [];
  query = {
    school_id : '',
    batch_id : ''
  };
  constructor(private modalService: BsModalService) {
    super(modalService);
    //this.modalComponent = CfMaterialRuleDetailComponent;
  }

  ngOnInit() {
    this.AjaxService.requestArray('./cf/school/list.htm', {}, (array) => {
      this.schoolArray = array;
      if (this.schoolArray.length == 1) {
        this.query.school_id = this.schoolArray[0].school_id;
        this.pager.reload();
      } 
    });
  }

  /*queryBatchArray() {
    //查询班级老师列表
    AjaxService.requestArray("cf/batch/list.htm",{school_id: this.query.school_id},(array)=>{
      this.batchArray = array;
    });   
  }*/


  setOptrWin(v) {
    this.onModalClose = () => {
      this.pager.reload();
    };
    this.showComponentModal(SetOptrComponent, { 'ResponseEntity': v }, {class: 'modal-8p'});
  }


}
